<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Processors/SXRCompiler/SXRCompiler.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Processors.SXRCompiler.SXRCompiler</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Processors.html" >Processors</a>.<a href="../SXRCompiler.html" >SXRCompiler</a>
</div><div class="class-name">class SXRCompiler

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Processors/SXRCompiler.py.html" target="detail">../Synopsis/Processors/SXRCompiler.py</a></div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.SXRCompiler.SXRCompiler" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/SXRCompiler.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SXRCompiler-inheritance" src="SXRCompiler-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SXRCompiler-inheritance_map" />
<map name="SXRCompiler-inheritance_map"></map>
 <div class="doc">This class compiles symbol references stored in sxr files into a single symbol table.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="prefix">prefix</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/SXRCompiler.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="no_locals">no_locals</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/SXRCompiler.py.html#line18" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>, <span class="variable">ir</span>, <span class="keyword">*</span> <span class="keyword">*</span> <span class="variable">kwds</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.SXRCompiler.SXRCompiler.process" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/SXRCompiler.py.html#line20" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="compile">compile</a>(<span class="variable">self</span>, <span class="variable">filename</span>, <span class="variable">language</span>)  </div> <div class="xref"><a href="../../../../XRef/xref25.html#Synopsis.Processors.SXRCompiler.SXRCompiler.compile" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Processors/SXRCompiler.py.html#line43" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
